全部产品
阿里云办公

安装

更新时间:2018-08-15 22:56:24

环境准备

OSS PHP SDK适用于PHP 5.3以上版本。本文以PHP 5.6.22为例。

安装环境

您需要安装PHP和cURL扩展:

  • 在Windows系统中,请参见Windows下编译使用阿里云 OSS PHP SDK来安装PHP和cURL扩展。在Windows环境中,如果提示找不到指定模块,请在php.ini文件中指定extension_dir为C:/Windows/System32/
  • 在Ubuntu系统中,请使用apt-get包管理器安装PHP的cURL扩展 sudo apt-get install php-curl
  • 在CentOS系统中,请使用yum包管理器安装PHP的cURL扩展 sudo yum install php-curl

查看版本

  • 通过php -v命令查看当前的PHP版本。

  • 通过php -m命令查看cURL扩展是否已经安装好。

下载SDK

更多信息请参见OSS API文档

说明:建议您使用最新版本的SDK。OSS PHP SDK 2.0.0以下版本的文档请从此处下载

安装SDK

有三种方式安装SDK:

  • composer方式
  • phar方式
  • 源码方式

composer方式

composer方式安装SDK的步骤如下:

  1. 在项目的根目录运行composer require aliyuncs/oss-sdk-php,或者在composer.json文件中添加依赖关系如下:

    1. "require": {
    2. "aliyuncs/oss-sdk-php": "~2.x.x"
    3. }
  2. 运行composer install,安装依赖。安装完成后,目录结构如下:

    1. .
    2. ├── app.php
    3. ├── composer.json
    4. ├── composer.lock
    5. └── vendor

    其中app.php是您的应用程序,vendor/目录下包含了所依赖的库。您需要在app.php中添加依赖关系如下:

    1. require_once __DIR__ . '/vendor/autoload.php';

说明:

  • 如果您的项目中已经引用过autoload.php,则添加了SDK的依赖关系之后,不需要再次引入。
  • 如果使用composer出现网络错误,可以使用composer中国区的镜像源。方法是在命令行执行composer config -g repositories.packagist composer http://packagist.phpcomposer.com

phar方式

phar方式安装SDK的步骤如下:

  1. GitHub中选择相应的版本并下载打包好的phar文件。

  2. 在代码中引入phar文件:

    1. require_once '/path/to/oss-sdk-php.phar';

源码方式

源码方式安装SDK的步骤如下:

  1. GitHub中选择相应版本并下载打包好的zip文件。

  2. 解压后的根目录中包含一个autoload.php文件,在代码中引入此文件:

    1. require_once '/path/to/oss-sdk/autoload.php';
本文导读目录